SND_AI2S(4)

NAME
snd_ai2s - Apple I2S audio device driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device sound
device snd_ai2s

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    snd_ai2s_load="YES"

DESCRIPTION
The snd_ai2s driver provides support for the Apple I2S audio controllers found predominantly in G4 and G5 machines, along with the snapper and tumbler codecs. Some machines (e.g. the Mac Mini) do not have configurable codecs and so lack hardware volume control.

HARDWARE

Chips supported by the snd_ai2s driver include:

•   Apple Tumbler Audio
•   Apple Snapper Audio

SEE ALSO
sound(4), snd_davbus(4)

HISTORY
The snd_ai2s device driver appeared in NetBSD 2.0 and then in FreeBSD 8.0.

AUTHORS
-nosplit The snd_ai2s driver was written by Tsubai Masanari <tsubai@netbsd.org>, and ported to FreeBSD by Marco Trillo <marcotrillo@gmail.com>.

BUGS
Recording and operation with non-44.1 Khz audio are not currently supported.